---
image: "python:3.5"

stages:
  - style
  - tests

flake8:
  stage: style
  only:
    refs:
      - master
      - merge_requests
  script:
    - pip install flake8
    - flake8 -v .

pylint:
  stage: style
  only:
    refs:
      - master
      - merge_requests
  script:
    - pip install pylint
    - pylint arthur/*.py
  # allow_failure: true

unittests:
  stage: tests
  only:
    refs:
      - master
      - merge_requests
  script:
    - pip install -r requirements.txt
    - pip install -r requirements_tests.txt
    - python setup.py install
    - cd ./tests && python run_tests.py
